# Retrieve a billing preview run Retrieves a preview of future invoice items for multiple customer accounts through a billing preview run. If you have the Invoice Settlement feature enabled, you can also retrieve a preview of future credit memo items. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. A billing preview run asynchronously generates a downloadable CSV file containing a preview of invoice item data and credit memo item data for a batch of customer accounts. Note that if you set storageOption to Database, no CSV file is generate; instead, you can have a record in the billing preview result. You can use data source to query Billing Preview Run Result. Endpoint: GET /v1/billing-preview-runs/{billingPreviewRunId} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `billingPreviewRunId` (string, required) Id of the billing preview run. ## Response 200 fields (application/json): - `assumeRenewal` (string) - `batches` (string) The customer batches included in the billing preview run. Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 314.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `chargeTypeToExclude` (string) The charge types excluded from the forecast run. - `createdById` (string) The ID of the user who created the billing preview run. - `createdDate` (string) The date and time when the billing preview run was created. - `endDate` (string) The date and time when the billing preview run completes. - `errorMessage` (string) The error message generated by a failed billing preview run. - `includingDraftItems` (boolean) Whether draft document items are included in the billing preview run. By default, draft document items are not included. - `includingEvergreenSubscription` (boolean) Indicates if evergreen subscriptions are included in the billing preview run. - `organizationLabels` (array) The organization(s) that the object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `organizationLabels.organizationId` (string) The organization ID. - `organizationLabels.organizationName` (string) The organization name. - `resultFileUrl` (string) The URL of the zipped CSV result file generated by the billing preview run. This file contains the preview invoice item data and credit memo item data for the specified customers. If the value of storageOption field is Database, the returned resultFileUrl field is null. Note: The credit memo item data is only available if you have Invoice Settlement feature enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `runNumber` (string) The run number of the billing preview run. - `startDate` (string) The date and time when the billing preview run starts. - `status` (string) The status of the >billing preview run. Possible values: * 0: Pending * 1: Processing * 2: Completed * 3: Error * 4: Canceled - `storageOption` (string) The saving options. The default value is Csv. Enum: "Csv", "Database" - `succeededAccounts` (integer) The number of accounts for which preview invoice item data and credit memo item data was successfully generated during the billing preview run. Note: The credit memo item data is only available if you have Invoice Settlement feature enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `success` (boolean) Returns true if the request was processed successfully. - `targetDate` (string) The target date for the billing preview run. - `totalAccounts` (integer) The total number of accounts in the billing preview run. - `updatedById` (string) The ID of the user who last updated the billing preview run. - `updatedDate` (string) The date and time when the billing preview run was last updated. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.